Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.io.filefilter
Class SizeFileFilter

    java.lang.Object
      org.apache.commons.io.filefilter.AbstractFileFilter
          org.apache.commons.io.filefilter.SizeFileFilter

All Implemented Interfaces:
  FileFilter, FilenameFilter, Serializable, IOFileFilter

    public class SizeFileFilter

extends AbstractFileFilter
implements Serializable

Filters files based on size, can filter either smaller files or files equal to or larger than a given threshold.

For example, to print all files and directories in the current directory whose size is greater than 1 MB:

     File dir = new File(".");
     String[] files = dir.list( new SizeFileFilter(1024 * 1024) );
     for ( int i = 0; i < files.length; i++ ) {
         System.out.println(files[i]);
     }

Since:
  Commons IO 1.2
Version:
  $Id: SizeFileFilter.java 1005099 2010-10-06 16:13:01Z niallp $
Author:
  Rahul Akolkar
See Also:
  `FileFilterUtils.sizeFileFilter(long)`, `FileFilterUtils.sizeFileFilter(long, boolean)`, `FileFilterUtils.sizeRangeFileFilter(long, long)`, Serialized Form

Constructor Summary
`SizeFileFilter(long size)` Constructs a new size file filter for files equal to or larger than a certain size.
`SizeFileFilter(long size, boolean acceptLarger)` Constructs a new size file filter for files based on a certain size threshold.

Method Summary
`boolean` | `accept(File file)` Checks to see if the size of the file is favorable.
`String` | `toString()` Provide a String representaion of this file filter.

Methods inherited from class org.apache.commons.io.filefilter.AbstractFileFilter
`accept`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SizeFileFilter

    public SizeFileFilter(long size)

  Constructs a new size file filter for files equal to or larger than a certain size.

  Parameters:
    `size` - the threshold size of the files
  Throws:
    `IllegalArgumentException` - if the size is negative

### SizeFileFilter

    public SizeFileFilter(long size,
                          boolean acceptLarger)

  Constructs a new size file filter for files based on a certain size threshold.

  Parameters:
    `size` - the threshold size of the files
    `acceptLarger` - if true, files equal to or larger are accepted, otherwise smaller ones (but not equal to)
  Throws:
    `IllegalArgumentException` - if the size is negative

Method Detail

### accept

    public boolean accept(File file)

  Checks to see if the size of the file is favorable.

  If size equals threshold and smaller files are required, file IS NOT selected. If size equals threshold and larger files are required, file IS selected.

  Specified by:
    `accept` in interface `FileFilter`
  Specified by:
    `accept` in interface `IOFileFilter`
  Overrides:
    `accept` in class `AbstractFileFilter`
  Parameters:
    `file` - the File to check
  Returns:
    true if the filename matches

### toString

    public String toString()

  Provide a String representaion of this file filter.

  Overrides:
    `toString` in class `AbstractFileFilter`
  Returns:
    a String representaion

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2011 The Apache Software Foundation. All Rights Reserved.